Skip to main content
POST
Create view

Authorizations

Authorization
string
header
required

Headers

LD-API-Version
enum<string>
required

Version of the endpoint.

Available options:
beta

Path Parameters

projectKey
string
required

Body

application/json

View object to create

key
string
required

Unique key for the view within the account/project

name
string
required

Human-readable name for the view

description
string
default:""

Optional detailed description of the view

generateSdkKeys
boolean
default:false

Whether to generate SDK keys for this view

maintainerId
string

Member ID of the maintainer for this view. Only one of maintainerId or maintainerTeamKey can be specified.

maintainerTeamKey
string

Key of the maintainer team for this view. Only one of maintainerId or maintainerTeamKey can be specified.

tags
string[]

Tags associated with this view

Response

Successful response

id
string<string>
required

Unique ID of this view

accountId
string
required

ID of the account that owns this view

projectId
string
required

ID of the project this view belongs to

projectKey
string
required

Key of the project this view belongs to

key
string
required

Unique key for the view within the account/project

name
string
required

Human-readable name for the view

description
string
required

Optional detailed description of the view

generateSdkKeys
boolean
required

Whether to generate SDK keys for this view. Defaults to false.

version
integer
required

Version number for tracking changes

tags
string[]
required

Tags associated with this view

createdAt
integer<int64>
required
updatedAt
integer<int64>
required
archived
boolean
default:false
required

Whether this view is archived

deleted
boolean
default:false
required

Whether this view is deleted

_access
object
Example:

The location and content type of related resources

Example:
archivedAt
integer<int64>
deletedAt
integer<int64>
maintainer
object
Example:
flagsSummary
object
Example:
segmentsSummary
object
Example:
metricsSummary
object
Example:
aiConfigsSummary
object
Example:
resourceSummary
object
Example:
flagsExpanded
object

Details on linked flags for a view - requires passing the 'allFlags' expand field

Example:
segmentsExpanded
object

Details on linked segments for a view - requires passing the 'allSegments' expand field

Example:
metricsExpanded
object
Example:
aiConfigsExpanded
object
Example:
resourcesExpanded
object

Details on linked resources for a view - requires passing the 'allResources' expand field

Example: